#
# Copyright (c) 2006-2007 High Performance Computing Center Stuttgart,
#                         University of Stuttgart.  All rights reserved.
#               2009-2011 Instituto de Física de Cantabria,
#                         CSIC - UC. All rights reserved.

Summary: MPI startup mechanism abstraction layer 
Name: mpi-start
Version: 1.5.3
Release: 1%{?dist}
License: GPLv2
Group: Development/Tools
Source: mpi-start-%{version}.src.tar.gz
URL: https://github.com/IFCA/mpi-start 
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 
BuildArch: noarch
# Packager: Enol Fernandez <enolfc AT ifca DOT unican DOT es> 

%description
A generic startup mechanism for different MPI installation in a cluster/grid.

%prep
%setup -q

%build
cd $RPM_BUILD_DIR/mpi-start-1.5.3
%configure --dist="%{?dist}"
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
cd $RPM_BUILD_DIR/mpi-start-1.5.3
%{__make} DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/mpi-start
%config(noreplace) %{_sysconfdir}/mpi-start/*.local
%{_sysconfdir}/mpi-start/*.filedist
%{_sysconfdir}/mpi-start/mpi-config.*
%{_sysconfdir}/mpi-start/*.hook
%{_sysconfdir}/mpi-start/*.mpi
%{_sysconfdir}/mpi-start/*.scheduler
%{_sysconfdir}/mpi-start/*.sh
%{_mandir}/man1/*
%config(noreplace) %{_sysconfdir}/profile.d/mpi_start.csh
%config(noreplace) %{_sysconfdir}/profile.d/mpi_start.sh
%doc docs/AUTHORS docs/COPYING docs/LICENSE README ChangeLog

%changelog
* Mon Dec 09 2013 Enol Fernandez <enolfc _AT_ ifca.unican.es> - 1.5.3-%{release}
- Fix for issue #12 (mpi-start may change the order of the WN list) 

* Thu Sep 26 2013 Enol Fernandez <enolfc _AT_ ifca.unican.es> - 1.5.2-%{release}
- Migrated to github.
- Fix issue #1 (OSC mpiexec with mpich configuration)
- Fix issue #2 (ssh copy fails if hostname command returns hostname with domain)
- Fix issue #6 (Default mpi configuration should be detected by the runtime)
- Fix issue #9 (mpiexec copy method activated when using hydra)
- New feature #8 (Support host list scheduler)

* Wed Oct 31 2012 Enol Fernandez <enolfc _AT_ ifca.unican.es> - 1.5.1-1%{?dist}
- Improved packaging.

* Wed Oct 31 2012 Enol Fernandez <enolfc _AT_ ifca.unican.es> - 1.5.0-1%{?dist}
- Added generic copy to method (#5).

* Wed Sep 26 2012 Enol Fernandez <enolfc _AT_ ifca.unican.es> - 1.4.0-1%{?dist}
- Added MVAPICH2 support.
- Fix #59, #60, #61, #63.

* Fri Dec 16 2011 Enol Fernandez <enolfc _AT_ ifca.unican.es> - 1.3.0-1%{?dist}
- Review of fixes for #51 and #49
- EMI-2 release.

* Wed Nov 23 2011 Enol Fernandez <enolfc _AT_ ifca.unican.es> - 1.2.0-1%{?dist}
- Fixed #49. 
- Minor fixes after testing in Torque.

* Tue Nov 15 2011 Enol Fernandez <enolfc _AT_ ifca.unican.es> - 1.1.1-1%{?dist}
- Fixed bugs: #53, #30, #32, #47, #48, #50, #51, and #44
- Better handling of config files, and compilers
- Improved affinity hook (now it includes MPICH2 support)

* Mon Oct 17 2011 Enol Fernandez <enolfc _AT_ ifca.unican.es> - 1.1.0-2%{?dist}
- Better EPEL compliance

* Fri Sep 30 2011 Enol Fernandez <enolfc _AT_ ifca.unican.es> - 1.1.0-1
- Fixed bugs #38 (https://devel.ifca.es/mpi-start/ticket/38), 
  #31 (https://devel.ifca.es/mpi-start/ticket/31), and
  #35 (https://devel.ifca.es/mpi-start/ticket/35)
- New MPI affinity hook
- New per proc/per socket/per core options for controlling processes
- New man page
- Updated documentation

* Fri Mar 4 2011 Enol Fernandez <enolfc _AT_ ifca.unican.es> - 1.0.4-1
- Fedora guidelines compliant package.
- See ChangeLog at doc directory.
